# encoding: utf-8
#       parsers.py
#       
#       Copyright 2011 nicolas <nicolas@jombi.fr>
#       
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#       
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#       
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

"""Custom exceptions used or raised by tvsubtitles_api
"""

__all__ = ["tvsubtitles_error", "tvsubtitles_userabort", "tvsubtitles_shownotfound",
"tvsubtitles_seasonnotfound", "tvsubtitles_episodenotfound","tvsubtitles_languagenotfound", 
"tvsubtitles_attributenotfound"]

class tvsubtitles_exception(Exception):
    """Any exception generated by tvsubtitles_api
    """
    pass

class tvsubtitles_error(tvsubtitles_exception):
    """An error with www.thetvsubtitles.com (Cannot connect, for example)
    """
    pass

class tvsubtitles_shownotfound(tvsubtitles_exception):
    """Show cannot be found on www.thetvsubtitles.com (non-existant show)
    """
    pass

class tvsubtitles_seasonnotfound(tvsubtitles_exception):
    """Season cannot be found on www.thetvsubtitles.com
    """
    pass

class tvsubtitles_episodenotfound(tvsubtitles_exception):
    """Episode cannot be found on www.thetvsubtitles.com
    """
    pass

class tvsubtitles_languagenotfound(tvsubtitles_exception):
    """Language cannot be found on www.thetvsubtitles.com
    """
    pass

class tvsubtitles_attributenotfound(tvsubtitles_exception):
    """Raised if an episode does not have the requested
    attribute (such as a episode name)
    """
    pass
